<form class="form-inline" #ref=ngForm    (ngSubmit)="getDetails(ref.value)">
    <label for="cars" class="mr-sm-2">Select Month</label>
    <select id="cars" name="month"  class="form-control mb-2 mr-sm-2" ngModel >
        <option value="{{month}}"  *ngFor="let month of months">{{month}}</option>
      </select>
    <button type="submit" class="btn btn-primary mb-2">Submit</button>
</form>
<h1 *ngIf="status">the predicted sales is {{value}}</h1>